Skip to main content
The “Create White-label Integration Provider” API allows adding a new payment provider integration to the system which is built on top of Authorize.net or NMI. Use this endpoint to create a integration provider with the specified details. Ensure that the required information is provided in the request payload. This endpoint can be only invoked using marketplace-app token
POST https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

altId
string
default:"6578278e879ad2646715ba9c"
required
account Id / company Id based on altType
altType
string
default:"account"
required
Alt Type Posibles valores: ‘account’
uniqueName
string
default:"easy-direct"
required
A unique name given to the integration provider, uniqueName must start and end with a character. Only lowercase characters and hyphens (-) are supported
title
string
default:"Title"
required
The title or name of the integration provider.
provider
string
required
The type of payment provider associated with the integration provider. Posibles valores: ‘authorize-net’, ‘nmi’
description
string
default:"Description"
required
A brief description providing additional information about the integration provider.
imageUrl
string
default:"https://example.com/image.jpg"
required
The URL to an image representing the integration provider. The imageUrl should start with “https://” and ensure that this URL is publicly accessible.

Respuestas

_id
string
default:"65cb47dda50f4f13ced4b870"
required
The unique identifier of the integration provider.
altId
string
default:"Z4Bxl8J4SaPEPLq9IQ8g"
required
The altId / locationId of the integration provider.
altType
string
default:"account"
required
The altType of the integration provider.
title
string
default:"Example"
required
The title or name of the integration provider.
route
string
default:"epd"
required
The route name associated with the integration provider.
provider
string
default:"nmi"
required
The payment provider associated with the integration provider.
description
string
default:"Lorem"
required
A brief description providing additional information about the integration provider.
imageUrl
string
required
The URL to an image representing the integration provider.
createdAt
string
default:"2024-02-13T10:43:41.026Z"
required
The timestamp when the integration provider was created.
updatedAt
string
default:"2024-02-13T10:43:41.026Z"
required
The timestamp when the integration provider was last updated.
{
  "_id": "65cb47dda50f4f13ced4b870",
  "altId": "Z4Bxl8J4SaPEPLq9IQ8g",
  "altType": "account",
  "title": "Example",
  "route": "epd",
  "provider": "nmi",
  "description": "Lorem",
  "imageUrl": "https://example.com/assets/pmd/img/payments/nmi-logo.webp",
  "createdAt": "2024-02-13T10:43:41.026Z",
  "updatedAt": "2024-02-13T10:43:41.026Z"
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "uniqueName": "easy-direct",
  "title": "Title",
  "provider": {
    "AUTHORIZE_NET": "authorize-net",
    "NMI": "nmi"
  },
  "description": "Description",
  "imageUrl": "https://example.com/image.jpg"
}'
const response = await fetch('https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "uniqueName": "easy-direct", "title": "Title", "provider": {"AUTHORIZE_NET": "authorize-net", "NMI": "nmi"}, "description": "Description", "imageUrl": "https://example.com/image.jpg"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "uniqueName": "easy-direct", "title": "Title", "provider": {"AUTHORIZE_NET": "authorize-net", "NMI": "nmi"}, "description": "Description", "imageUrl": "https://example.com/image.jpg"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'uniqueName': 'easy-direct', 'title': 'Title', 'provider': {'AUTHORIZE_NET': 'authorize-net', 'NMI': 'nmi'}, 'description': 'Description', 'imageUrl': 'https://example.com/image.jpg'}),
]);
$data = json_decode(curl_exec($ch), true);